<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xs="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified" id="OTA2003A2007A" version="2.001">
  <xsd:include schemaLocation="OTA_SimpleTypes.xsd"/>
  <xsd:attributeGroup name="AirportLocationGroup">
    <xsd:attribute type="xs:string" use="optional" name="LocationCode"/>
    <xsd:attribute type="xs:string" use="optional" default="IATA" name="CodeContext"/>
    <xsd:attribute type="xs:string" use="optional" name="Terminal"/>
    <xsd:attribute type="xs:string" use="optional" name="Gate"/>
  </xsd:attributeGroup>
  <xsd:attributeGroup name="AltLangID_Group">
    <xsd:attribute type="xsd:string" use="optional" name="AltLangID"/>
  </xsd:attributeGroup>
  <xsd:attributeGroup name="BirthDateGroup">
    <xsd:attribute type="xs:date" use="optional" name="BirthDate"/>
  </xsd:attributeGroup>
  <xsd:attributeGroup name="BookingChannelGroup">
    <xsd:attribute type="xs:string" use="required" name="Type"/>
    <xsd:attribute type="xs:boolean" use="optional" name="Primary"/>
  </xsd:attributeGroup>
  <xsd:attributeGroup name="CodeGroup">
    <xsd:attribute type="xs:string" use="optional" name="Code"/>
    <xsd:attribute type="xs:string" use="optional" name="CodeContext"/>
  </xsd:attributeGroup>
  <xsd:attributeGroup name="CodeListGroup">
    <xsd:attributeGroup ref="CodeGroup"/>
    <xsd:attribute type="xsd:string" use="optional" name="URI"/>
    <xsd:attributeGroup ref="QuantityGroup"/>
  </xsd:attributeGroup>
  <xsd:attributeGroup name="CompanyID_AttributesGroup">
    <xsd:attribute type="xs:string" use="optional" name="CompanyShortName"/>
    <xsd:attribute type="xs:string" use="optional" name="TravelSector"/>
    <xsd:attribute type="xs:string" use="optional" name="Code"/>
    <xsd:attribute type="xs:string" use="optional" name="CodeContext"/>
  </xsd:attributeGroup>
  <xsd:attributeGroup name="CurrencyAmountGroup">
    <xsd:attribute type="xs:decimal" use="optional" name="Amount"/>
    <xsd:attributeGroup ref="CurrencyCodeGroup"/>
  </xsd:attributeGroup>
  <xsd:attributeGroup name="CurrencyCodeGroup">
    <xsd:attribute type="xs:string" use="optional" name="CurrencyCode"/>
    <xsd:attribute type="xsd:integer" use="optional" name="DecimalPlaces"/>
  </xsd:attributeGroup>
  <xsd:attributeGroup name="CustomerLoyaltyGroup">
    <xsd:attributeGroup ref="PrivacyGroup"/>
    <xsd:attribute type="xs:string" name="ProgramID"/>
    <xsd:attribute type="xs:string" name="MembershipID"/>
    <xsd:attribute type="xs:string" use="optional" name="TravelSector"/>
    <xsd:attributeGroup ref="LoyalLevelGroup"/>
    <xsd:attributeGroup ref="SingleVendorIndGroup"/>
    <xsd:attributeGroup ref="SignupDateGroup"/>
    <xsd:attributeGroup ref="EffectiveExpireOptionalDateGroup"/>
    <xsd:attribute type="xs:string" name="RPH"/>
    <xsd:attribute type="ListOfStringLength1to8" use="optional" name="VendorCode"/>
  </xsd:attributeGroup>
  <xsd:attributeGroup name="DefaultIndGroup">
    <xsd:attribute type="xs:boolean" use="optional" default="false" name="DefaultInd"/>
  </xsd:attributeGroup>
  <xsd:attributeGroup name="EffectiveExpireOptionalDateGroup">
    <xsd:attribute type="xs:date" use="optional" name="EffectiveDate"/>
    <xsd:attribute type="xs:date" use="optional" name="ExpireDate"/>
  </xsd:attributeGroup>
  <xsd:attributeGroup name="ErrorWarningAttributeGroup">
    <xsd:attribute type="xs:string" use="optional" name="ShortText"/>
    <xsd:attribute type="xs:string" use="optional" name="Code"/>
    <xsd:attribute type="xsd:string" use="optional" name="DocURL"/>
    <xsd:attribute type="xs:string" use="optional" name="Status"/>
    <xsd:attribute type="xs:string" use="optional" name="Tag"/>
    <xsd:attribute type="xs:string" use="optional" name="RecordID"/>
  </xsd:attributeGroup>
  <xsd:attributeGroup name="ExchangeRateGroup">
    <xsd:attribute type="xs:string" use="optional" name="FromCurrency"/>
    <xsd:attribute type="xs:string" use="optional" name="ToCurrency"/>
    <xsd:attribute type="xs:decimal" use="optional" name="Rate"/>
    <xsd:attribute type="xs:date" use="optional" name="Date"/>
  </xsd:attributeGroup>
  <xsd:attributeGroup name="FormattedInd">
    <xsd:attribute type="xs:boolean" use="optional" default="false" name="FormattedInd"/>
  </xsd:attributeGroup>
  <xsd:attributeGroup name="GenderGroup">
    <xsd:attribute use="optional" name="Gender">
      <xsd:simpleType>
        <xsd:restriction base="xsd:string">
          <xsd:enumeration value="Male"/>
          <xsd:enumeration value="Female"/>
          <xsd:enumeration value="Unknown"/>
        </xsd:restriction>
      </xsd:simpleType>
    </xsd:attribute>
  </xsd:attributeGroup>
  <xsd:attributeGroup name="ID_Group">
    <xsd:attribute type="xs:string" use="required" name="ID"/>
  </xsd:attributeGroup>
  <xsd:attributeGroup name="LanguageGroup">
    <xsd:attribute type="xsd:string" use="optional" name="Language"/>
  </xsd:attributeGroup>
  <xsd:attributeGroup name="LocationGroup">
    <xsd:attribute type="xs:string" use="optional" name="LocationCode"/>
    <xsd:attribute type="xs:string" default="IATA" name="CodeContext"/>
  </xsd:attributeGroup>
  <xsd:attributeGroup name="LoyalLevelGroup">
    <xsd:attribute type="xs:string" use="optional" name="LoyalLevel"/>
  </xsd:attributeGroup>
  <xsd:attributeGroup name="MaxResponsesGroup">
    <xsd:attribute type="xsd:string" use="optional" name="MaxResponses"/>
  </xsd:attributeGroup>
  <xsd:attributeGroup name="OTA_PayloadStdAttributes">
    <xsd:attribute type="xs:string" use="optional" name="EchoToken"/>
    <xsd:attribute type="xs:dateTime" use="optional" name="TimeStamp"/>
    <xsd:attribute use="optional" default="Production" name="Target">
      <xsd:simpleType>
        <xsd:restriction base="xsd:string">
          <xsd:enumeration value="Test"/>
          <xsd:enumeration value="Production"/>
        </xsd:restriction>
      </xsd:simpleType>
    </xsd:attribute>
    <xsd:attribute type="xs:decimal" use="required" name="Version"/>
    <xsd:attribute type="xs:string" use="optional" name="TransactionIdentifier"/>
    <xsd:attribute type="xsd:integer" use="optional" name="SequenceNmbr"/>
    <xsd:attribute use="optional" name="TransactionStatusCode">
      <xsd:simpleType>
        <xsd:restriction base="xsd:string">
          <xsd:enumeration value="Start"/>
          <xsd:enumeration value="End"/>
          <xsd:enumeration value="Rollback"/>
          <xsd:enumeration value="InSeries"/>
          <xsd:enumeration value="Continuation"/>
          <xsd:enumeration value="Subsequent"/>
        </xsd:restriction>
      </xsd:simpleType>
    </xsd:attribute>
    <xsd:attributeGroup ref="PrimaryLangID_Group"/>
    <xsd:attributeGroup ref="AltLangID_Group"/>
    <xsd:attribute type="xs:boolean" use="optional" name="RetransmissionIndicator"/>
  </xsd:attributeGroup>
  <xsd:attributeGroup name="PositionGroup">
    <xsd:attribute type="xs:string" use="optional" name="Latitude"/>
    <xsd:attribute type="xs:string" use="optional" name="Longitude"/>
    <xsd:attribute type="xs:string" use="optional" name="Altitude"/>
    <xsd:attribute type="xs:string" use="optional" name="AltitudeUnitOfMeasureCode"/>
  </xsd:attributeGroup>
  <xsd:attributeGroup name="PreferLevelGroup">
    <xsd:attribute type="PreferLevelType" use="optional" default="Preferred" name="PreferLevel"/>
  </xsd:attributeGroup>
  <xsd:attributeGroup name="PrimaryLangID_Group">
    <xsd:attribute type="xsd:string" use="optional" name="PrimaryLangID"/>
  </xsd:attributeGroup>
  <xsd:attributeGroup name="PrivacyGroup">
    <xsd:attribute use="optional" name="ShareSynchInd">
      <xsd:simpleType>
        <xsd:restriction base="xsd:string">
          <xsd:enumeration value="Yes"/>
          <xsd:enumeration value="No"/>
          <xsd:enumeration value="Inherit"/>
        </xsd:restriction>
      </xsd:simpleType>
    </xsd:attribute>
    <xsd:attribute use="optional" name="ShareMarketInd">
      <xsd:simpleType>
        <xsd:restriction base="xsd:string">
          <xsd:enumeration value="Yes"/>
          <xsd:enumeration value="No"/>
          <xsd:enumeration value="Inherit"/>
        </xsd:restriction>
      </xsd:simpleType>
    </xsd:attribute>
  </xsd:attributeGroup>
  <xsd:attributeGroup name="QuantityGroup">
    <xsd:attribute type="xsd:integer" use="optional" name="Quantity"/>
  </xsd:attributeGroup>
  <xsd:attributeGroup name="SignupDateGroup">
    <xsd:attribute type="xs:date" use="optional" name="SignupDate"/>
  </xsd:attributeGroup>
  <xsd:attributeGroup name="SingleVendorIndGroup">
    <xsd:attribute name="SingleVendorInd">
      <xsd:simpleType>
        <xsd:restriction base="xsd:string">
          <xsd:enumeration value="SingleVndr"/>
          <xsd:enumeration value="Alliance"/>
        </xsd:restriction>
      </xsd:simpleType>
    </xsd:attribute>
  </xsd:attributeGroup>
  <xsd:attributeGroup name="SmokingIndicatorGroup">
    <xsd:attribute type="xs:boolean" use="optional" default="false" name="SmokingAllowed"/>
  </xsd:attributeGroup>
  <xsd:attributeGroup name="TelephoneAttributesGroup">
    <xsd:attribute type="xs:string" use="optional" name="PhoneLocationType"/>
    <xsd:attribute type="xs:string" use="optional" name="PhoneTechType"/>
    <xsd:attribute type="xs:string" use="optional" name="PhoneUseType"/>
    <xsd:attribute type="xs:string" use="optional" name="CountryAccessCode"/>
    <xsd:attribute type="xs:string" use="optional" name="AreaCityCode"/>
    <xsd:attribute type="xs:string" use="required" name="PhoneNumber"/>
    <xsd:attribute type="xs:string" use="optional" name="Extension"/>
    <xsd:attribute type="xs:string" use="optional" name="PIN"/>
    <xsd:attribute type="xs:string" use="optional" name="Remark"/>
  </xsd:attributeGroup>
  <xsd:attributeGroup name="TelephoneGroup">
    <xsd:attributeGroup ref="PrivacyGroup"/>
    <xsd:attributeGroup ref="TelephoneAttributesGroup"/>
    <xsd:attributeGroup ref="FormattedInd"/>
  </xsd:attributeGroup>
  <xsd:attributeGroup name="TelephoneInfoGroup">
    <xsd:attributeGroup ref="TelephoneGroup"/>
    <xsd:attributeGroup ref="DefaultIndGroup"/>
    <xsd:attribute type="xs:string" use="optional" name="RPH"/>
  </xsd:attributeGroup>
  <xsd:attributeGroup name="TravelerCountGroup">
    <xsd:attribute type="xs:integer" use="optional" name="Age"/>
    <xsd:attribute use="optional" name="Code">
      <xsd:simpleType>
        <xsd:restriction base="xsd:string"/>
      </xsd:simpleType>
    </xsd:attribute>
    <xsd:attribute type="xs:string" use="optional" name="CodeContext"/>
    <xsd:attribute type="xsd:string" use="optional" name="URI"/>
    <xsd:attributeGroup ref="QuantityGroup"/>
  </xsd:attributeGroup>
  <xsd:attributeGroup name="UniqueID_Group">
    <xsd:attribute type="xsd:string" name="URL"/>
    <xsd:attribute type="xs:string" use="required" name="Type"/>
    <xsd:attribute type="xs:string" name="Instance"/>
    <xsd:attributeGroup ref="ID_Group"/>
    <xsd:attribute type="xs:string" use="optional" name="ID_Context"/>
  </xsd:attributeGroup>
  <xsd:complexType name="AddressType">
    <xsd:sequence>
      <xsd:element name="StreetNmbr" minOccurs="0">
        <xsd:complexType>
          <xsd:simpleContent>
            <xsd:extension base="StreetNmbrType">
              <xsd:attribute type="xs:string" use="optional" name="StreetNmbrSuffix"/>
              <xsd:attribute type="xs:string" use="optional" name="StreetDirection"/>
              <xsd:attribute type="xs:string" use="optional" name="RuralRouteNmbr"/>
            </xsd:extension>
          </xsd:simpleContent>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="BldgRoom" minOccurs="0" maxOccurs="2">
        <xsd:complexType>
          <xsd:simpleContent>
            <xsd:extension base="xs:string">
              <xsd:attribute type="xs:boolean" use="optional" name="BldgNameIndicator"/>
            </xsd:extension>
          </xsd:simpleContent>
        </xsd:complexType>
      </xsd:element>
      <xsd:element type="xs:string" name="AddressLine" minOccurs="0" maxOccurs="5"/>
      <xsd:element type="xs:string" name="CityName" minOccurs="0"/>
      <xsd:element type="xs:string" name="PostalCode" minOccurs="0"/>
      <xsd:element type="xs:string" name="County" minOccurs="0"/>
      <xsd:element type="StateProvType" name="StateProv" minOccurs="0"/>
      <xsd:element type="CountryNameType" name="CountryName" minOccurs="0"/>
    </xsd:sequence>
    <xsd:attributeGroup ref="FormattedInd"/>
    <xsd:attributeGroup ref="PrivacyGroup"/>
    <xsd:attribute type="xs:string" use="optional" name="Type"/>
  </xsd:complexType>
  <xsd:complexType name="CompanyNameType">
    <xsd:simpleContent>
      <xsd:extension base="xs:string">
        <xsd:attributeGroup ref="CompanyID_AttributesGroup"/>
        <xsd:attribute type="xs:string" use="optional" name="Division"/>
        <xsd:attribute type="xs:string" use="optional" name="Department"/>
      </xsd:extension>
    </xsd:simpleContent>
  </xsd:complexType>
  <xsd:complexType name="ConnectionType">
    <xsd:sequence>
      <xsd:element name="ConnectionLocation" maxOccurs="9">
        <xsd:complexType>
          <xsd:simpleContent>
            <xsd:extension base="LocationType">
              <xsd:attribute type="xs:boolean" use="optional" default="true" name="Inclusive"/>
              <xsd:attributeGroup ref="PreferLevelGroup"/>
              <xsd:attribute type="xsd:integer" use="optional" name="MinChangeTime"/>
              <xsd:attribute use="optional" name="ConnectionInfo">
                <xsd:simpleType>
                  <xsd:restriction base="xs:string">
                    <xsd:enumeration value="Via"/>
                    <xsd:enumeration value="Stop"/>
                    <xsd:enumeration value="Change"/>
                  </xsd:restriction>
                </xsd:simpleType>
              </xsd:attribute>
            </xsd:extension>
          </xsd:simpleContent>
        </xsd:complexType>
      </xsd:element>
    </xsd:sequence>
  </xsd:complexType>
  <xsd:complexType name="CountryNameType">
    <xsd:simpleContent>
      <xsd:extension base="xs:string">
        <xsd:attribute type="xs:string" use="optional" name="Code"/>
      </xsd:extension>
    </xsd:simpleContent>
  </xsd:complexType>
  <xsd:complexType name="DocumentType">
    <xsd:sequence>
      <xsd:choice minOccurs="0">
        <xsd:element type="xs:string" name="DocHolderName" minOccurs="0"/>
        <xsd:element type="PersonNameType" name="DocHolderFormattedName" minOccurs="0"/>
      </xsd:choice>
      <xsd:element type="xs:string" name="DocLimitations" minOccurs="0" maxOccurs="9"/>
      <xsd:element name="AdditionalPersonNames" minOccurs="0">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element type="xs:string" name="AdditionalPersonName" maxOccurs="99"/>
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
    </xsd:sequence>
    <xsd:attributeGroup ref="PrivacyGroup"/>
    <xsd:attribute type="xs:string" use="optional" name="DocIssueAuthority"/>
    <xsd:attribute type="xs:string" use="optional" name="DocIssueLocation"/>
    <xsd:attribute type="xs:string" use="optional" name="DocID"/>
    <xsd:attribute type="xs:string" use="optional" name="DocType"/>
    <xsd:attributeGroup ref="GenderGroup"/>
    <xsd:attributeGroup ref="BirthDateGroup"/>
    <xsd:attributeGroup ref="EffectiveExpireOptionalDateGroup"/>
    <xsd:attribute type="xs:string" use="optional" name="DocIssueStateProv"/>
    <xsd:attribute type="xs:string" use="optional" name="DocIssueCountry"/>
    <xsd:attribute type="xs:string" use="optional" name="BirthCountry"/>
    <xsd:attribute type="xs:string" name="DocHolderNationality"/>
  </xsd:complexType>
  <xsd:complexType name="EmailType">
    <xsd:simpleContent>
      <xsd:extension base="xs:string">
        <xsd:attributeGroup ref="PrivacyGroup"/>
        <xsd:attributeGroup ref="DefaultIndGroup"/>
        <xsd:attribute type="xs:string" use="optional" name="EmailType"/>
        <xsd:attribute type="xs:string" use="optional" name="RPH"/>
      </xsd:extension>
    </xsd:simpleContent>
  </xsd:complexType>
  <xsd:complexType name="EquipmentType">
    <xsd:simpleContent>
      <xsd:extension base="xs:string">
        <xsd:attribute type="xs:string" use="required" name="AirEquipType"/>
        <xsd:attribute type="xs:boolean" use="optional" default="false" name="ChangeofGauge"/>
      </xsd:extension>
    </xsd:simpleContent>
  </xsd:complexType>
  <xsd:complexType name="ErrorType">
    <xsd:simpleContent>
      <xsd:extension base="FreeTextType">
        <xsd:attribute type="xs:string" use="required" name="Type"/>
        <xsd:attributeGroup ref="ErrorWarningAttributeGroup"/>
        <xsd:attribute type="xs:string" name="NodeList"/>
      </xsd:extension>
    </xsd:simpleContent>
  </xsd:complexType>
  <xsd:complexType name="ErrorsType">
    <xsd:sequence>
      <xsd:element type="ErrorType" name="Error" maxOccurs="99"/>
    </xsd:sequence>
  </xsd:complexType>
  <xsd:complexType name="FlightSegmentBaseType">
    <xsd:sequence>
      <xsd:element name="DepartureAirport">
        <xsd:complexType>
          <xsd:attributeGroup ref="AirportLocationGroup"/>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="ArrivalAirport">
        <xsd:complexType>
          <xsd:attributeGroup ref="AirportLocationGroup"/>
        </xsd:complexType>
      </xsd:element>
      <xsd:element type="OperatingAirlineType" name="OperatingAirline" minOccurs="0"/>
      <xsd:element type="EquipmentType" name="Equipment" minOccurs="0" maxOccurs="2"/>
    </xsd:sequence>
    <xsd:attribute type="xs:dateTime" use="optional" name="DepartureDateTime"/>
    <xsd:attribute type="xs:dateTime" use="optional" name="ArrivalDateTime"/>
    <xsd:attribute type="xsd:integer" use="optional" name="StopQuantity"/>
    <xsd:attribute type="xs:string" use="optional" name="RPH"/>
    <xsd:attribute type="xs:string" use="optional" name="InfoSource"/>
  </xsd:complexType>
  <xsd:complexType name="FreeTextType">
    <xsd:simpleContent>
      <xsd:extension base="xs:string">
        <xsd:attributeGroup ref="LanguageGroup"/>
      </xsd:extension>
    </xsd:simpleContent>
  </xsd:complexType>
  <xsd:complexType name="LocationType">
    <xsd:simpleContent>
      <xsd:extension base="xs:string">
        <xsd:attributeGroup ref="LocationGroup"/>
      </xsd:extension>
    </xsd:simpleContent>
  </xsd:complexType>
  <xsd:complexType name="OperatingAirlineType">
    <xsd:simpleContent>
      <xsd:extension base="CompanyNameType">
        <xsd:attribute type="xsd:string" name="FlightNumber"/>
      </xsd:extension>
    </xsd:simpleContent>
  </xsd:complexType>
  <xsd:complexType name="OriginDestinationInformationType">
    <xsd:complexContent>
      <xsd:extension base="TravelDateTimeType">
        <xsd:sequence>
          <xsd:element name="OriginLocation">
            <xsd:complexType>
              <xsd:simpleContent>
                <xsd:extension base="LocationType">
                  <xsd:attribute type="xs:boolean" use="optional" name="MultiAirportCityInd"/>
                  <xsd:attribute type="xs:boolean" use="optional" name="AlternateLocationInd"/>
                </xsd:extension>
              </xsd:simpleContent>
            </xsd:complexType>
          </xsd:element>
          <xsd:element name="DestinationLocation">
            <xsd:complexType>
              <xsd:simpleContent>
                <xsd:extension base="LocationType">
                  <xsd:attribute type="xs:boolean" use="optional" name="MultiAirportCityInd"/>
                  <xsd:attribute type="xs:boolean" use="optional" name="AlternateLocationInd"/>
                </xsd:extension>
              </xsd:simpleContent>
            </xsd:complexType>
          </xsd:element>
          <xsd:element type="ConnectionType" name="ConnectionLocations" minOccurs="0"/>
        </xsd:sequence>
      </xsd:extension>
    </xsd:complexContent>
  </xsd:complexType>
  <xsd:complexType name="POS_Type">
    <xsd:sequence>
      <xsd:element type="SourceType" name="Source" maxOccurs="10"/>
    </xsd:sequence>
  </xsd:complexType>
  <xsd:complexType name="PersonNameType">
    <xsd:sequence>
      <xsd:element type="xs:string" name="NamePrefix" minOccurs="0" maxOccurs="3"/>
      <xsd:element type="xs:string" name="GivenName" minOccurs="0" maxOccurs="5"/>
      <xsd:element type="xs:string" name="MiddleName" minOccurs="0" maxOccurs="3"/>
      <xsd:element type="xs:string" name="SurnamePrefix" minOccurs="0"/>
      <xsd:element type="xs:string" name="Surname"/>
      <xsd:element type="xs:string" name="NameSuffix" minOccurs="0" maxOccurs="3"/>
      <xsd:element type="xs:string" name="NameTitle" minOccurs="0" maxOccurs="5"/>
    </xsd:sequence>
    <xsd:attributeGroup ref="PrivacyGroup"/>
    <xsd:attribute type="xs:string" use="optional" name="NameType"/>
  </xsd:complexType>
  <xsd:complexType name="SourceType">
    <xsd:sequence>
      <xsd:element name="RequestorID" minOccurs="0">
        <xsd:complexType>
          <xsd:complexContent>
            <xsd:extension base="UniqueID_Type">
              <xsd:attribute type="xs:string" use="optional" name="MessagePassword"/>
            </xsd:extension>
          </xsd:complexContent>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="Position" minOccurs="0">
        <xsd:complexType>
          <xsd:attributeGroup ref="PositionGroup"/>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="BookingChannel" minOccurs="0">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element type="CompanyNameType" name="CompanyName" minOccurs="0"/>
          </xsd:sequence>
          <xsd:attributeGroup ref="BookingChannelGroup"/>
        </xsd:complexType>
      </xsd:element>
    </xsd:sequence>
    <xsd:attribute type="xs:string" use="optional" name="AgentSine"/>
    <xsd:attribute type="xs:string" use="optional" name="PseudoCityCode"/>
    <xsd:attribute type="xs:string" use="optional" name="ISOCountry"/>
    <xsd:attribute type="xs:string" use="optional" name="ISOCurrency"/>
    <xsd:attribute type="xs:string" use="optional" name="AgentDutyCode"/>
    <xsd:attribute type="xs:string" use="optional" name="AirlineVendorID"/>
    <xsd:attribute type="xs:string" use="optional" name="AirportCode"/>
    <xsd:attribute type="xs:string" use="optional" name="FirstDepartPoint"/>
    <xsd:attribute type="xs:string" use="optional" name="ERSP_UserID"/>
    <xsd:attribute type="xs:string" use="optional" name="TerminalID"/>
  </xsd:complexType>
  <xsd:complexType name="StateProvType">
    <xsd:simpleContent>
      <xsd:extension base="xs:string">
        <xsd:attribute type="xs:string" name="StateCode"/>
      </xsd:extension>
    </xsd:simpleContent>
  </xsd:complexType>
  <xsd:complexType name="StreetNmbrType">
    <xsd:simpleContent>
      <xsd:extension base="xs:string">
        <xsd:attribute type="xs:string" name="PO_Box"/>
      </xsd:extension>
    </xsd:simpleContent>
  </xsd:complexType>
  <xsd:complexType name="SuccessType"/>
  <xsd:complexType name="TPA_ExtensionsType">
    <xsd:sequence>
      <xsd:any minOccurs="0" maxOccurs="unbounded" processContents="skip"/>
    </xsd:sequence>
  </xsd:complexType>
  <xsd:complexType name="TimeInstantType">
    <xsd:simpleContent>
      <xsd:extension base="xsd:string">
        <xsd:attribute type="xsd:string" use="optional" name="WindowBefore"/>
        <xsd:attribute type="xsd:string" use="optional" name="WindowAfter"/>
        <xsd:attribute type="xs:boolean" use="optional" name="CrossDateAllowedIndicator"/>
      </xsd:extension>
    </xsd:simpleContent>
  </xsd:complexType>
  <xsd:complexType name="TravelDateTimeType">
    <xsd:choice>
      <xsd:element type="TimeInstantType" name="DepartureDateTime"/>
      <xsd:element type="TimeInstantType" name="ArrivalDateTime"/>
    </xsd:choice>
  </xsd:complexType>
  <xsd:complexType name="UniqueID_Type">
    <xsd:sequence>
      <xsd:element type="CompanyNameType" name="CompanyName" minOccurs="0"/>
    </xsd:sequence>
    <xsd:attributeGroup ref="UniqueID_Group"/>
  </xsd:complexType>
  <xsd:complexType name="WarningType">
    <xsd:simpleContent>
      <xsd:extension base="FreeTextType">
        <xsd:attribute type="xs:string" use="required" name="Type"/>
        <xsd:attributeGroup ref="ErrorWarningAttributeGroup"/>
      </xsd:extension>
    </xsd:simpleContent>
  </xsd:complexType>
  <xsd:complexType name="WarningsType">
    <xsd:sequence>
      <xsd:element type="WarningType" name="Warning" maxOccurs="99"/>
    </xsd:sequence>
  </xsd:complexType>
  <xsd:element type="TPA_ExtensionsType" name="TPA_Extensions"/>
</xsd:schema>